I am LAZY bones ? all linux

我的gentoo用开源驱动了

因为xorg-server出了1.5.0,然后装着ati-drivers,升级的时候,一直提示:

[blocks B ] x11-drivers/ati-drivers (is blocking x11-base/xorg-server-1.5.0)

不得已,把ati-drivers先给卸载了,经过千辛万苦(过程真的挺曲折的),终于把xorg-server给升级上去了,却发现X打不开了,呵呵,其实早料到会有这个下场,于是重新装了一下 xf86-video-ati,把xorg.conf删了(之前就没这文件的),再启动X的时候,倒是可以了,但键盘、鼠标、触摸板全部不能用了,呵呵,只能硬着头皮写了个 xorg.conf ,终于算是能用了。但是3D驱动还有问题,一开compiz就是白屏,暂时先关掉吧,等待A卡官方驱动更了,刚好早上看到发布了8.9的驱动,不知道啥时候能用上,呵呵。
在此备份一下我的 xorg.conf

下载: xorg.conf
  1. Section "ServerLayout"
  2. Identifier     "Default Layout"
  3. Screen      0  "Default Screen" 0 0
  4. InputDevice    "Synaptics Touchpad"
  5. InputDevice    "Generic Keyboard"
  6. InputDevice    "Configured Mouse"
  7. Option     "OffTime" "180"
  8. EndSection
  9.  
  10. Section "Files"
  11. EndSection
  12.  
  13. Section "InputDevice"
  14. Identifier  "Generic Keyboard"
  15. Driver      "kbd"
  16. Option     "XkbRules" "xorg"
  17. Option     "XkbModel" "pc105"
  18. Option     "XkbLayout" "cn"
  19. EndSection
  20.  
  21. Section "InputDevice"
  22. Identifier  "Configured Mouse"
  23. Driver      "mouse"
  24. Option     "CorePointer"
  25. EndSection
  26.  
  27. Section "InputDevice"
  28. Identifier  "Synaptics Touchpad"
  29. Driver      "synaptics"
  30. Option     "SendCoreEvents" "true"
  31. Option     "SHMConfig" "on"
  32. Option     "Device" "/dev/psaux"
  33. Option     "Protocol" "auto-dev"
  34. Option     "HorizEdgeScroll" "0"
  35. EndSection
  36.  
  37. Section "Monitor"
  38. Identifier   "Configured Monitor"
  39. EndSection
  40.  
  41. Section "Screen"
  42. Identifier "Default Screen"
  43. Device     "Configured Video Device"
  44. Monitor    "Configured Monitor"
  45. DefaultDepth     24
  46. EndSection

最后修改时间: 2008年09月19日 09:50

本文章发表于: 2008年09月19日 09:50 | 所属分类:gentoo. | 您可以在此订阅本文章的所有评论. | 您也可以发表评论, 或从您的网站trackback.

3 个评论 关于: “我的gentoo用开源驱动了”

  1. chattan 在 2008年09月19日 11:58 说:回复

    说了半天你倒是用上没有呀??我看起着急。。。。说说你的体验呢。。

  2. bones7456 在 2008年09月19日 14:02 说:回复

    @chattan: 啊?没说清楚吗?就是xorg-server 1.5.0是用上了,然后之前是用的官方驱动,现在改成用开源驱动了,导致compiz用了了了,就这样。

  3. bones7456 : 重新用回官方A卡驱动 在 2008年11月24日 16:12 说:回复

    […] 我的x1700卡,之前一直因为ati-drivers暂时不支持xorg-server,所以用的是开源驱动,但是开源驱动对我这个卡的支持真的是比较烂,没有3D加速,开不了compiz,glxgears也只有100FPS左右…所以之前一段时间,我还是经常回ubuntu下去,不知道ubuntu从哪里来的驱动,8.10的xorg-server也是1.5.2的,但是驱动却可以用…呵呵. 前几天,AMD官方终于更新了驱动的版本,而这个版本的一大重要特性就是开始支持xorg-server的新版本了,现在gentoo的portage里面也有了,所以我就理所当然得用回官方驱动了. 用回ati-drivers以后,一开始也有点问题,但是参考wiki,基本上就搞定了,哈哈,gentoo终于又可以compiz喽. $ glxgears 12412 frames in 5.0 seconds = 2482.345 FPS 12551 frames in 5.0 seconds = 2509.578 FPS 这个也正常了. […]

发表评论